Package com.avaya.clientservices.messaging.enums

## Enum MessageStatus

- java.lang.Object
- - java.lang.Enum<MessageStatus>
  - - com.avaya.clientservices.messaging.enums.MessageStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageStatus>`

      public enum MessageStatus
      extends java.lang.Enum<MessageStatus>

  Represents the state of a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | State indicating that message couldn't be sent.
    `REMOVING` | Used for messages which are currently being removed.
    `SENDING` | Used for messages which are currently being sent.
    `SENT` | A message in Published state has been successfully sent to the server and is now able to be viewed by other participants in the conversation.
    `UNDEFINED` | An unknown status.
    `UNSENT` | Represents a message that has been created by the local application but has not yet been sent.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final MessageStatus UNDEFINED

      An unknown status. If this status is set, it is a bug.

    - #### UNSENT

          public static final MessageStatus UNSENT

      Represents a message that has been created by the local application but has not yet been sent.

    - #### SENDING

          public static final MessageStatus SENDING

      Used for messages which are currently being sent.

    - #### REMOVING

          public static final MessageStatus REMOVING

      Used for messages which are currently being removed.

    - #### ERROR

          public static final MessageStatus ERROR

      State indicating that message couldn't be sent. Additional error information is provided within the operation result.

    - #### SENT

          public static final MessageStatus SENT

      A message in Published state has been successfully sent to the server and is now able to be viewed by other participants in the conversation.

  - ### Method Detail

    - #### values

          public static MessageStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageStatus c : MessageStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null